<?php

if ( ! function_exists( 'oaza_mikado_get_hide_dep_for_top_header_area_meta_boxes' ) ) {
	function oaza_mikado_get_hide_dep_for_top_header_area_meta_boxes() {
		$hide_dep_options = apply_filters( 'oaza_mikado_filter_top_header_hide_meta_boxes', $hide_dep_options = array() );
		
		return $hide_dep_options;
	}
}

if ( ! function_exists( 'oaza_mikado_header_top_area_meta_options_map' ) ) {
	function oaza_mikado_header_top_area_meta_options_map( $header_meta_box ) {
		$hide_dep_options = oaza_mikado_get_hide_dep_for_top_header_area_meta_boxes();
		
		$top_header_container = oaza_mikado_add_admin_container_no_style(
			array(
				'type'            => 'container',
				'name'            => 'top_header_container',
				'parent'          => $header_meta_box,
				'dependency' => array(
					'hide' => array(
						'mkdf_header_type_meta'  => $hide_dep_options
					)
				)
			)
		);
		
		oaza_mikado_add_admin_section_title(
			array(
				'parent' => $top_header_container,
				'name'   => 'top_area_style',
				'title'  => esc_html__( 'Top Area', 'oaza' )
			)
		);
		
		oaza_mikado_create_meta_box_field(
			array(
				'name'          => 'mkdf_top_bar_meta',
				'type'          => 'select',
				'default_value' => '',
				'label'         => esc_html__( 'Header Top Bar', 'oaza' ),
				'description'   => esc_html__( 'Enabling this option will show header top bar area', 'oaza' ),
				'parent'        => $top_header_container,
				'options'       => oaza_mikado_get_yes_no_select_array(),
			)
		);
		
		$top_bar_container = oaza_mikado_add_admin_container_no_style(
			array(
				'name'            => 'top_bar_container_no_style',
				'parent'          => $top_header_container,
				'dependency' => array(
					'show' => array(
						'mkdf_top_bar_meta' => 'yes'
					)
				)
			)
		);
		
		oaza_mikado_create_meta_box_field(
			array(
				'name'          => 'mkdf_top_bar_in_grid_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Top Bar In Grid', 'oaza' ),
				'description'   => esc_html__( 'Set top bar content to be in grid', 'oaza' ),
				'parent'        => $top_bar_container,
				'default_value' => '',
				'options'       => oaza_mikado_get_yes_no_select_array()
			)
		);
		
		oaza_mikado_create_meta_box_field(
			array(
				'name'   => 'mkdf_top_bar_background_color_meta',
				'type'   => 'color',
				'label'  => esc_html__( 'Top Bar Background Color', 'oaza' ),
				'parent' => $top_bar_container
			)
		);
		
		oaza_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_top_bar_background_transparency_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Top Bar Background Color Transparency', 'oaza' ),
				'description' => esc_html__( 'Set top bar background color transparency. Value should be between 0 and 1', 'oaza' ),
				'parent'      => $top_bar_container,
				'args'        => array(
					'col_width' => 3
				)
			)
		);
		
		oaza_mikado_create_meta_box_field(
			array(
				'name'          => 'mkdf_top_bar_border_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Top Bar Border', 'oaza' ),
				'description'   => esc_html__( 'Set border on top bar', 'oaza' ),
				'parent'        => $top_bar_container,
				'default_value' => '',
				'options'       => oaza_mikado_get_yes_no_select_array()
			)
		);
		
		$top_bar_border_container = oaza_mikado_add_admin_container(
			array(
				'type'            => 'container',
				'name'            => 'top_bar_border_container',
				'parent'          => $top_bar_container,
				'dependency' => array(
					'show' => array(
						'mkdf_top_bar_border_meta' => 'yes'
					)
				)
			)
		);
		
		oaza_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_top_bar_border_color_meta',
				'type'        => 'color',
				'label'       => esc_html__( 'Top Bar Border Color', 'oaza' ),
				'description' => esc_html__( 'Choose color for top bar border', 'oaza' ),
				'parent'      => $top_bar_border_container
			)
		);

		oaza_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_top_bar_border_transparency_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Top Bar Border Transparency', 'oaza' ),
				'description' => esc_html__( 'Set top bar border transparency. Value should be between 0 and 1', 'oaza' ),
				'parent'      => $top_bar_border_container,
				'args'        => array(
					'col_width' => 3
				)
			)
		);

		oaza_mikado_create_meta_box_field(
			array(
				'name'          => 'mkdf_top_bar_style_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Top Bar Skin', 'oaza' ),
				'description'   => esc_html__( 'Choose a predefined style for top bar', 'oaza' ),
				'parent'        => $top_bar_container,
				'default_value' => '',
				'options'       => array(
					''                 => esc_html__( 'Default', 'oaza' ),
					'light-header-top' => esc_html__( 'Light', 'oaza' ),
					'dark-header-top'  => esc_html__( 'Dark', 'oaza' )
				)
			)
		);
	}
	
	add_action( 'oaza_mikado_action_additional_header_area_meta_boxes_map', 'oaza_mikado_header_top_area_meta_options_map' );
}